package veterinaria;

import java.sql.*;
import java.util.Vector;
import pesquisa.IPesquisaObjetos;

public class ListaClientes implements IPesquisaObjetos {
    private Connection conexao = null;
    
    public ListaClientes() {
    }

    public Vector getQueryResults(String campoPesquisa, String valorPesquisa) {
        Statement st = null;
        ResultSet rs = null;
        Vector resultados = new Vector();
        try {
            st = conexao.createStatement();
            
            rs = st.executeQuery("SELECT * FROM Cliente");
            while(rs.next()) {
                Cliente c = new Cliente();
                c.setId(rs.getInt("id"));
                c.setNome(rs.getString("nome"));
                c.setCPF(rs.getString("cpf"));
                c.setEndereco(rs.getString("endereco"));
                c.setTelefone(rs.getString("telefone"));
                resultados.add(c);
            }
        } catch (SQLException ex) {
            System.out.println("Erro SQL: " + ex);
            System.exit(1);
        }
        
        return resultados;
    }
}
